## com.bbn.openmap.gui
Class LayerStatusPane

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--javax.swing.JComponent
                        |
                        +--javax.swing.JPanel
                              |
                              +--com.bbn.openmap.gui.LayerPane
                                    |
                                    +--com.bbn.openmap.gui.LayerStatusPane

All Implemented Interfaces:
  javax.accessibility.Accessible, java.awt.event.ActionListener, java.awt.event.ComponentListener, java.util.EventListener, java.awt.image.ImageObserver, LayerStatusListener, java.awt.MenuContainer, java.io.Serializable

public class LayerStatusPane
extends LayerPane
implements LayerStatusListener

A LayerStatusPane is an extension to the LayerPane, where it is a listener to the Layer and shows the layer status in the GUI.

See Also:
  Serialized Form

Field Summary
`protected static javax.swing.ImageIcon` `layerDone`
`protected static javax.swing.ImageIcon` `layerWorking`
`protected java.awt.Color` `offColor`
`protected java.awt.Color` `onColor`
`static java.lang.String` `showPaletteCmd`
`static java.lang.String` `toggleLayerCmd`

Fields inherited from class com.bbn.openmap.gui.LayerPane
`backgroundLayerSeparator, i18n, layer, layerHandler, layerName, LAYERNAME, layerOffIcon, layerOnIcon, onoffButton, paletteButton, paletteIcon, paletteOnIcon, selected, url1, url2, url3, url4`

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`` `LayerStatusPane(Layer layer, LayerHandler layerHandler, javax.swing.ButtonGroup bg)`
`protected` `LayerStatusPane(java.lang.String title)`

Method Summary
`void` `cleanup()` LayerPane disconnects from listeners, nulls out components.
`void` `updateLayerStatus(LayerStatusEvent evt)` Update the Layer status.

Methods inherited from class com.bbn.openmap.gui.LayerPane

`actionPerformed, cleanup, componentHidden, componentMoved, componentResized, componentShown, createGUI, createOnOffButton, createPaletteButton, finalize, getBackgroundLayerSeparator, getLayer, getLayerHandler, getMinimumSize, getOnOffButton, getPaletteButton, getPreferredSize, hidePalette, isLayerOn, isPaletteOn, isSelected, setLayerHandler, setLayerOn, setPaletteOn, setSelected, showPalette, updateLayerLabel`

Methods inherited from class javax.swing.JPanel
`getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI`

Methods inherited from class javax.swing.JComponent

`addAncestorListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getGraphics, getHeight, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getNextFocusableComponent, getPropertyChangeListeners, getPropertyChangeListeners, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isPreferredSizeSet, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFont, setForeground, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container

`add, add, add, add, add, addContainerListener, addImpl, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setFocusCycleRoot, setFocusTraversalKeys, setFocusTraversalPolicy, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component

`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getName, getParent, getPeer, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### layerWorking

    protected static transient javax.swing.ImageIcon layerWorking

### layerDone

    protected static transient javax.swing.ImageIcon layerDone

### showPaletteCmd

    public static final transient java.lang.String showPaletteCmd

See Also:
  Constant Field Values

### toggleLayerCmd

    public static final transient java.lang.String toggleLayerCmd

See Also:
  Constant Field Values

### offColor

    protected java.awt.Color offColor

### onColor

    protected java.awt.Color onColor

Constructor Detail

### LayerStatusPane

    public LayerStatusPane(Layer layer,
                           LayerHandler layerHandler,
                           javax.swing.ButtonGroup bg)

Parameters:
  `layer` - the layer to be represented by the pane.
  `bg` - the buttongroup for the layer
  `layerHandler` - the LayerHandler that contains information about the Layers.

### LayerStatusPane

    protected LayerStatusPane(java.lang.String title)

Method Detail

### updateLayerStatus

    public void updateLayerStatus(LayerStatusEvent evt)

  Update the Layer status. LayerStatusListener interface method.

  Specified by:
    `updateLayerStatus` in interface `LayerStatusListener`
  Parameters:
    `evt` - LayerStatusEvent

### cleanup

    public void cleanup()

  Description copied from class: `LayerPane`
  LayerPane disconnects from listeners, nulls out components.

  Overrides:
    `cleanup` in class `LayerPane`

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details